package com.contabilidad.FacadeConta;

import com.contabilidad.EntConta.ContaCargos;
import com.contabilidad.EntConta.DatosGeneralesContrato;
import com.contabilidad.EntConta.Dependientes;

import java.util.List;

public interface DatosContratoFacadeLocal {

    void create(DatosGeneralesContrato datosGeneralesContrato);

    void edit(DatosGeneralesContrato datosGeneralesContrato);

    void remove(DatosGeneralesContrato datosGeneralesContrato);

    DatosGeneralesContrato find(Object id);

    List<DatosGeneralesContrato> findAll();

    List<DatosGeneralesContrato> findRange(int[] range);

    int count();

    List<Dependientes> obtenerDependientes(String codigoEmpelado);
}
